/* ページ内設定 */
.page-container {
    margin-top: 30px;
    padding: 0 20px;
}

.page-content-container {
    display: flex;
}

.page-main-container {
    flex: 1;
    padding-left: 50px;
    padding-right: 30px;
}

.page-main-container p {
    margin: 0 !important;
    padding: 0 !important;
}


/* 位置 */
.position-center {
    margin-left: auto;
    margin-right: auto;
}

.position-flex {
    flex: 1;
}

.position-flex-2 {
    flex: 2;
}

.position-flex-3 {
    flex: 3;
}

.position-flex-4 {
    flex: 4;
}

.position-flex-5 {
    flex: 5;
}

.display-flex {
    display: flex;
}


/* 大きさ */
.size-max-400 {
    max-width: 400px;
}

.size-max-500 {
    max-width: 500px;
}

.size-max-600 {
    max-width: 600px;
}

.size-min-300 {
    min-width: 300px;
}

.size-min-400 {
    min-width: 400px;
}

.size-full {
    width: 100%;
}

.size-full-height {
    height: 100%;
}

.size-300 {
    width: 300px;
}

.size-500 {
    width: 500px;
}

.size-text {
    width: fit-content;
}

.image-4-3 {
    aspect-ratio: 4 / 3;
    object-fit: cover;
}

.image-cover {
    object-fit: cover;
}


/* 空白 */
.blank-SS {
    margin-top: 10px;
}

.blank-S {
    margin-top: 20px;
}

.blank-M {
    margin-top: 40px;
}

.blank-L {
    margin-top: 60px;
}


/* 見出し */
.page-main-container h1 {
    width: fit-content;
    padding: 0 20px 0 0;
    color: white;
    border-bottom: 4px solid var(--color-sub);
}

.page-main-container h2 {
    border-bottom: 2px dashed var(--color-main);
    color: var(--color-sub);
    text-shadow:
        1px 1px 3px rgba(0, 0, 0, 0.5);
}

.text-main-h2 h2 {
    border-bottom: 2px dashed var(--color-main);
    color: var(--color-sub);
    text-shadow:
        1px 1px 3px rgba(0, 0, 0, 0.5);
}

.text-slogan {
    text-align: center;
    font-size: 30px;
    font-family: "ヒラギノ明朝 ProN W6", "HiraMinProN-W6", "HG明朝E", "ＭＳ Ｐ明朝", "MS PMincho", "MS 明朝", serif;
    color: var(--color-sub);
    margin-bottom: 70px;
}



/* フォントサイズ */
.font-size-S {
    font-size: 14px;
}

.font-size-L {
    font-size: 20px;
    font-weight: bold;
}

.font-size-LL {
    font-size: 24px;
    font-weight: bold;
}

.font-weight-bold {
    font-weight: bold;
}


/* フォントカラー */
.font-color-Red {
    color: rgb(255, 0, 0);
}

.font-color-blue {
    color: rgb(0, 0, 255);
}

.font-color-orange {
    color: rgb(255, 123, 0);
}


/* テキスト位置 */
.text-position-right {
    display: block;
    text-align: right;
}

.text-position-left {
    display: block;
    text-align: left;
}

.text-position-center {
    display: block;
    text-align: center;
}


/* ボックス */
.contents-box {
    padding: 0 10px;
    margin-bottom: 50px;
}

.red-box {
    width: 100%;
    text-align: center;
    padding: 20px;
    color: black;
    border: 1px solid rgb(255, 0, 0);
    background-color: rgb(255, 236, 236);
}

.blue-box {
    width: 100%;
    text-align: center;
    padding: 20px;
    color: black;
    border: 1px solid rgb(56, 68, 204);
    background-color: rgb(215, 238, 255);
}

.blue-box-2 {
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    padding: 20px;
    color: black;
    border: 1px solid rgb(56, 68, 204);
    background-color: rgb(215, 238, 255);
}

.orange-box {
    width: 100%;
    text-align: center;
    padding: 20px;
    color: black;
    border: 1px solid rgb(255, 123, 0);
    background-color: rgb(255, 246, 236);
}


.white-box {
    padding: 50px 30px;
    width: 100%;
    text-align: center;
    border-radius: 10px;
    color: black;
    background-color: white;
    box-shadow: 0 10px 10px rgba(255, 255, 255, 0.2);
}

.white-box img {
    width: 100% !important;
    aspect-ratio: 3 / 2 !important;
    object-fit: cover !important;
}

.page-link-box {
    display: block;
    text-decoration: none;

    padding-bottom: 20px;
    width: 100%;
    text-align: center;
    color: black;
    background-color: white;

    transition: 0.3s;
}

.page-link-box:hover {
    opacity: 0.8;

}

.page-link-box .text-box {
    display: block;
    padding: 0 20px;
}

.page-link-box img {
    width: 100% !important;
    aspect-ratio: 3 / 2 !important;
    object-fit: cover !important;
}

.padding-box {
    padding: 0 80px;
}


/* コンテナ */
.side-by-side-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px 30px;
    align-items: stretch;
}

.side-by-side-container .text-box {
    flex: 1;
    min-width: 500px;
}

.side-by-side-container-map {
    display: flex;
    align-items: center;
    gap: 5px;
}

.side-by-side-container-map img {

    width: 30px;
}

.side-by-side-container-2 {
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
    align-items: center;
}

.container-gap-30 {
    gap: 30px;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(360px, 100%), 1fr));
    gap: 30px;
    justify-content: center;
}

.grid-container>p,
.grid-container>br {
    display: none !important;
}

.image-grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, 400px);
    gap: 30px;
    justify-content: start;

}

.image-grid-container>p,
.image-grid-container>br {
    display: none !important;
}


.image-grid-container img {
    width: 100%;
    max-width: 400px;
    aspect-ratio: 4 / 3;
    object-fit: cover;
}


/* テーブル */
.table-1 {
    border-collapse: collapse;
    width: 100%;
}

.table-1 th {
    text-align: left;
    padding-left: 10px;
    padding-right: 20px;
    width: 150px;
}

.table-1 td {
    text-align: left;
    padding-right: 10px;
}

.table-1 th,
.table-1 td {
    border-bottom: 1px solid #ccc;
    padding-top: 10px;
    padding-bottom: 10px;
}


/* マップ */
.map-area iframe {
    width: 100%;
}


/* バックグラウンドイメージ */
.background-img-city {
    background-image:
        linear-gradient(rgba(255, 255, 255, 0.7), rgba(255, 255, 255, 0.7)),
        url('/wp-content/themes/victory_hp/images/background/simple-city.png');
    background-size: cover;
}

/* 画像 */
.company-icon {
    width: 50px;
    margin-right: 20px;
}


/* リンク */
.link-text {
    color: rgb(200, 200, 200);
    transition: 0.3s;
}

.link-text:hover {
    opacity: 0.7;
}

.link-text-black {
    color: rgb(0, 0, 0);
    transition: 0.3s;
}

.link-text-black:hover {
    opacity: 0.7;
}


/* =================================================
    タブレット用 ( 1200px以下)
   ================================================= */
@media screen and (max-width: 1200px) {

    /* ページ内設定 */
    .page-content-container {
        flex-direction: column;
    }

    .page-main-container {
        order: 1;
    }

    .side-nav {
        order: 2;
    }

    .page-main-container {
        padding-left: 20px;
        padding-right: 20px;
    }


    /* サイズ */
    .size-500 {
        width: 400px;
    }


    /* ボックス */
    .padding-box {
        padding: 0 20px;
    }


    /* コンテナ */
    .side-by-side-container .text-box {
        min-width: 400px;
    }
}


/* =================================================
   スマホ用 (480px以下)
   ================================================= */
@media screen and (max-width: 480px) {

    /* ページ内設定 */
    .page-main-container {
        padding: 0;
    }

    .page-main-container h1 {
        font-size: 24px;
    }

    .page-main-container h2 {
        font-size: 20px;
    }

    .text-slogan {
        font-size: 24px;
        margin-bottom: 30px;
    }


    /* 空白 */
    .blank-M {
        margin-top: 30px;
    }

    .blank-L {
        margin-top: 40px;
    }


    /* サイズ */
    .size-min-300,
    .size-min-400,
    .size-500 {
        width: 100% !important;
        min-width: 100% !important;
    }


    /* ボックス */
    .red-box,
    .blue-box {
        padding: 15px;
    }

    .white-box {
        padding: 30px 15px;
        min-width: 300px;
    }

    .white-box img {
        width: 100% !important;
        max-width: 300px;
    }

    .padding-box {
        padding: 0;
    }


    /* コンテナ */
    .side-by-side-container {
        flex-direction: column;
    }

    .side-by-side-container .text-box {
        min-width: 100%;
    }

    .image-grid-container {
        grid-template-columns: 1fr;
    }

    /* テーブル */
    .table-1 th {
        width: 95px;
    }


    /* 画像 */
    .company-icon {
        width: 40px;
        margin-right: 5px;
    }

}